"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var defaultWidth = 40;
var terminalWidth = function () {
    return (process.stdout.isTTY ? process.stdout.columns : defaultWidth) || defaultWidth;
};
var horizontalLine = function (symbol) {
    symbol = symbol || '-';
    var n = terminalWidth();
    var k;
    var str = '';
    for (k = 0; k < n; k += 1) {
        str += symbol;
    }
    return function () {
        console.log(str);
    };
};
var centerText = function (text) {
    var w = terminalWidth();
    var s = text;
    while (s.length < w - 1) {
        s = ' ' + s + ' ';
    }
    return s;
};
exports.terminalBanner = function (text, symbol) {
    var hr = horizontalLine(symbol);
    hr();
    console.log(centerText(text));
    hr();
};
